import { Role } from '@aws-cdk/aws-iam';
import { Pipeline, PipelineProps, Artifact } from '@aws-cdk/aws-codepipeline';
import { Construct } from '@aws-cdk/cdk';
import { Bucket } from '@aws-cdk/aws-s3';
import StageName from './stage-name';
export interface OrchestratorPipelineProps extends PipelineProps {
    artifactsBucket: Bucket;
}
export declare class OrchestratorPipeline extends Pipeline {
    constructor(scope: Construct, id: string, props: OrchestratorPipelineProps);
    addTestStage(sourceOutputArtifact: Artifact): void;
    addDeployStage(stageName: StageName, orchestratorCodeBuildRole: Role, sourceOutputArtifact: Artifact): void;
}
